<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<meta name="robots" content="NONE,NOARCHIVE">
<title>ValueError
at /valideajoutvehicule/</title>
<style type="text/css">
html * { padding:0; margin:0; }
body * { padding:10px 20px; }
body * * { padding:0; }
body { font:small sans-serif; background-color:#fff; color:#000; }
body>div { border-bottom:1px solid #ddd; }
h1 { font-weight:normal; }
h2 { margin-bottom:.8em; }
h3 { margin:1em 0 .5em 0; }
h4 { margin:0 0 .5em 0; font-weight: normal; }
code, pre { font-size: 100%; white-space: pre-wrap; }
table { border:1px solid #ccc; border-collapse: collapse; width:100%; background:white; }
tbody td, tbody th { vertical-align:top; padding:2px 3px; }
thead th {
padding:1px 6px 1px 3px; background:#fefefe; text-align:left;
font-weight:normal; font-size:11px; border:1px solid #ddd;
}
tbody th { width:12em; text-align:right; color:#666; padding-right:.5em; }
table.vars { margin:5px 0 2px 40px; }
table.vars td, table.req td { font-family:monospace; }
table td.code { width:100%; }
table td.code pre { overflow:hidden; }
table.source th { color:#666; }
table.source td { font-family:monospace; white-space:pre; border-bottom:1px solid #eee; }
ul.traceback { list-style-type:none; color: #222; }
ul.traceback li.frame { padding-bottom:1em; color:#4f4f4f; }
ul.traceback li.user { background-color:#e0e0e0; color:#000 }
div.context { padding:10px 0; overflow:hidden; }
div.context ol { padding-left:30px; margin:0 10px; list-style-position: inside; }
div.context ol li { font-family:monospace; white-space:pre; color:#777; cursor:pointer; padding-left: 2px; }
div.context ol li pre { display:inline; }
div.context ol.context-line li { color:#464646; background-color:#dfdfdf; padding: 3px 2px; }
div.context ol.context-line li span { position:absolute; right:32px; }
.user div.context ol.context-line li { background-color:#bbb; color:#000; }
.user div.context ol li { color:#666; }
div.commands { margin-left: 40px; }
div.commands a { color:#555; text-decoration:none; }
.user div.commands a { color: black; }
#summary { background: #ffc; }
#summary h2 { font-weight: normal; color: #666; }
#explanation { background:#eee; }
#template, #template-not-exist { background:#f6f6f6; }
#template-not-exist ul { margin: 0 0 10px 20px; }
#template-not-exist .postmortem-section { margin-bottom: 3px; }
#unicode-hint { background:#eee; }
#traceback { background:#eee; }
#requestinfo { background:#f6f6f6; padding-left:120px; }
#summary table { border:none; background:transparent; }
#requestinfo h2, #requestinfo h3 { position:relative; margin-left:-100px; }
#requestinfo h3 { margin-bottom:-1em; }
.error { background: #ffc; }
.specific { color:#cc3300; font-weight:bold; }
h2 span.commands { font-size:.7em; font-weight:normal; }
span.commands a:link {color:#5E5694;}
pre.exception_value { font-family: sans-serif; color: #575757; font-size: 1.5em; margin: 10px 0 10px 0; }
.append-bottom { margin-bottom: 10px; }
</style>

<script type="text/javascript">
function hideAll(elems) {
for (var e = 0; e < elems.length; e++) {
elems[e].style.display = 'none';
}
}
window.onload = function() {
hideAll(document.querySelectorAll('table.vars'));
hideAll(document.querySelectorAll('ol.pre-context'));
hideAll(document.querySelectorAll('ol.post-context'));
hideAll(document.querySelectorAll('div.pastebin'));
}
function toggle() {
for (var i = 0; i < arguments.length; i++) {
var e = document.getElementById(arguments[i]);
if (e) {
e.style.display = e.style.display == 'none' ? 'block': 'none';
}
}
return false;
}
function varToggle(link, id) {
toggle('v' + id);
var s = link.getElementsByTagName('span')[0];
var uarr = String.fromCharCode(0x25b6);
var darr = String.fromCharCode(0x25bc);
s.textContent = s.textContent == uarr ? darr : uarr;
return false;
}
function switchPastebinFriendly(link) {
s1 = "Switch to copy-and-paste view";
s2 = "Switch back to interactive view";
link.textContent = link.textContent.trim() == s1 ? s2: s1;
toggle('browserTraceback', 'pastebinTraceback');
return false;
}
</script>

</head>
<body>
<div id="summary">
<h1>ValueError
at /valideajoutvehicule/</h1>
<pre class="exception_value">invalid literal for int() with base 10: &#x27;1\xa0792&#x27;</pre>
<table class="meta">

<tr>
<th>Request Method:</th>
<td>POST</td>
</tr>
<tr>
<th>Request URL:</th>
<td>http://127.0.0.1:8000/valideajoutvehicule/</td>
</tr>

<tr>
<th>Django Version:</th>
<td>3.0.2</td>
</tr>

<tr>
<th>Exception Type:</th>
<td>ValueError</td>
</tr>


<tr>
<th>Exception Value:</th>
<td><pre>invalid literal for int() with base 10: &#x27;1\xa0792&#x27;</pre></td>
</tr>


<tr>
<th>Exception Location:</th>
<td>C:\Users\Jovice\PycharmProjects\ybcars\ybloc\forms.py in __init__, line 77</td>
</tr>

<tr>
<th>Python Executable:</th>
<td>C:\Users\Jovice\PycharmProjects\TestDjango\venv\Scripts\python.exe</td>
</tr>
<tr>
<th>Python Version:</th>
<td>3.7.8</td>
</tr>
<tr>
<th>Python Path:</th>
<td><pre>[&#x27;C:\\Users\\Jovice\\PycharmProjects\\ybcars&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\ybcars&#x27;,
&#x27;C:\\Program Files\\JetBrains\\PyCharm &#x27;
&#x27;2020.1\\plugins\\python\\helpers\\pycharm_display&#x27;,
&#x27;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37\\python37.zip&#x27;,
&#x27;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37\\DLLs&#x27;,
&#x27;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37\\lib&#x27;,
&#x27;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages&#x27;,
&#x27;C:\\Program Files\\JetBrains\\PyCharm &#x27;
&#x27;2020.1\\plugins\\python\\helpers\\pycharm_matplotlib_backend&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages\\odf&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages\\odf&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages\\odf&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages\\odf&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages\\odf&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages\\odf&#x27;,
&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\lib\\site-packages\\odf&#x27;]</pre></td>
</tr>
<tr>
<th>Server time:</th>
<td>ven, 31 Jul 2020 06:50:28 +0000</td>
</tr>
</table>
</div>




<div id="traceback">
<h2>Traceback <span class="commands"><a href="#" onclick="return switchPastebinFriendly(this);">
Switch to copy-and-paste view</a></span>
</h2>
<div id="browserTraceback">
<ul class="traceback">


<li class="frame django">
<code>C:\Users\Jovice\PycharmProjects\TestDjango\venv\lib\site-packages\django\core\handlers\exception.py</code> in <code>inner</code>


<div class="context" id="c2755444758088">

<ol start="27" class="pre-context" id="pre2755444758088">

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> This decorator is automatically applied to all middleware to ensure that</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> no middleware leaks an exception and that the next middleware in the stack</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> can rely on getting a response instead of an exception.</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> &quot;&quot;&quot;</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> @wraps(get_response)</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> def inner(request):</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> try:</pre></li>

</ol>

<ol start="34" class="context-line">
<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> response = get_response(request)</pre> <span>…</span></li>
</ol>

<ol start='35' class="post-context" id="post2755444758088">

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> except Exception as exc:</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> response = response_for_exception(request, exc)</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> return response</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre> return inner</pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre></pre></li>

<li onclick="toggle('pre2755444758088', 'post2755444758088')"><pre></pre></li>

</ol>

</div>



<div class="commands">

<a href="#" onclick="return varToggle(this, '2755444758088')"><span>&#x25b6;</span> Local vars</a>

</div>
<table class="vars" id="v2755444758088">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>exc</td>
<td class="code"><pre>ValueError(&quot;invalid literal for int() with base 10: &#x27;1\\xa0792&#x27;&quot;)</pre></td>
</tr>

<tr>
<td>get_response</td>
<td class="code"><pre>&lt;bound method BaseHandler._get_response of &lt;django.core.handlers.wsgi.WSGIHandler object at 0x000002818AF87888&gt;&gt;</pre></td>
</tr>

<tr>
<td>request</td>
<td class="code"><pre>&lt;WSGIRequest: POST &#x27;/valideajoutvehicule/&#x27;&gt;</pre></td>
</tr>

</tbody>
</table>

</li>


<li class="frame django">
<code>C:\Users\Jovice\PycharmProjects\TestDjango\venv\lib\site-packages\django\core\handlers\base.py</code> in <code>_get_response</code>


<div class="context" id="c2755444758152">

<ol start="108" class="pre-context" id="pre2755444758152">

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> break</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre></pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> if response is None:</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> wrapped_callback = self.make_view_atomic(callback)</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> try:</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> response = wrapped_callback(request, *callback_args, **callback_kwargs)</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> except Exception as e:</pre></li>

</ol>

<ol start="115" class="context-line">
<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> response = self.process_exception_by_middleware(e, request)</pre> <span>…</span></li>
</ol>

<ol start='116' class="post-context" id="post2755444758152">

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre></pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> # Complain if the view returned None (a common error).</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> if response is None:</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> if isinstance(callback, types.FunctionType): # FBV</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> view_name = callback.__name__</pre></li>

<li onclick="toggle('pre2755444758152', 'post2755444758152')"><pre> else: # CBV</pre></li>

</ol>

</div>



<div class="commands">

<a href="#" onclick="return varToggle(this, '2755444758152')"><span>&#x25b6;</span> Local vars</a>

</div>
<table class="vars" id="v2755444758152">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>callback</td>
<td class="code"><pre>&lt;function valideajoutvehicule at 0x000002818CE2AEE8&gt;</pre></td>
</tr>

<tr>
<td>callback_args</td>
<td class="code"><pre>()</pre></td>
</tr>

<tr>
<td>callback_kwargs</td>
<td class="code"><pre>{}</pre></td>
</tr>

<tr>
<td>middleware_method</td>
<td class="code"><pre>&lt;bound method CsrfViewMiddleware.process_view of &lt;django.middleware.csrf.CsrfViewMiddleware object at 0x000002818ABC3688&gt;&gt;</pre></td>
</tr>

<tr>
<td>request</td>
<td class="code"><pre>&lt;WSGIRequest: POST &#x27;/valideajoutvehicule/&#x27;&gt;</pre></td>
</tr>

<tr>
<td>resolver</td>
<td class="code"><pre>&lt;URLResolver &#x27;ybcars.urls&#x27; (None:None) &#x27;^/&#x27;&gt;</pre></td>
</tr>

<tr>
<td>resolver_match</td>
<td class="code"><pre>ResolverMatch(func=ybloc.views.valideajoutvehicule, args=(), kwargs={}, url_name=validationvehicule, app_names=[], namespaces=[], route=valideajoutvehicule/)</pre></td>
</tr>

<tr>
<td>response</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>self</td>
<td class="code"><pre>&lt;django.core.handlers.wsgi.WSGIHandler object at 0x000002818AF87888&gt;</pre></td>
</tr>

<tr>
<td>wrapped_callback</td>
<td class="code"><pre>&lt;function valideajoutvehicule at 0x000002818CE2AEE8&gt;</pre></td>
</tr>

</tbody>
</table>

</li>


<li class="frame django">
<code>C:\Users\Jovice\PycharmProjects\TestDjango\venv\lib\site-packages\django\core\handlers\base.py</code> in <code>_get_response</code>


<div class="context" id="c2755444757832">

<ol start="106" class="pre-context" id="pre2755444757832">

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> response = middleware_method(request, callback, callback_args, callback_kwargs)</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> if response:</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> break</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre></pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> if response is None:</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> wrapped_callback = self.make_view_atomic(callback)</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> try:</pre></li>

</ol>

<ol start="113" class="context-line">
<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> response = wrapped_callback(request, *callback_args, **callback_kwargs)</pre> <span>…</span></li>
</ol>

<ol start='114' class="post-context" id="post2755444757832">

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> except Exception as e:</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> response = self.process_exception_by_middleware(e, request)</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre></pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> # Complain if the view returned None (a common error).</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> if response is None:</pre></li>

<li onclick="toggle('pre2755444757832', 'post2755444757832')"><pre> if isinstance(callback, types.FunctionType): # FBV</pre></li>

</ol>

</div>



<div class="commands">

<a href="#" onclick="return varToggle(this, '2755444757832')"><span>&#x25b6;</span> Local vars</a>

</div>
<table class="vars" id="v2755444757832">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>callback</td>
<td class="code"><pre>&lt;function valideajoutvehicule at 0x000002818CE2AEE8&gt;</pre></td>
</tr>

<tr>
<td>callback_args</td>
<td class="code"><pre>()</pre></td>
</tr>

<tr>
<td>callback_kwargs</td>
<td class="code"><pre>{}</pre></td>
</tr>

<tr>
<td>middleware_method</td>
<td class="code"><pre>&lt;bound method CsrfViewMiddleware.process_view of &lt;django.middleware.csrf.CsrfViewMiddleware object at 0x000002818ABC3688&gt;&gt;</pre></td>
</tr>

<tr>
<td>request</td>
<td class="code"><pre>&lt;WSGIRequest: POST &#x27;/valideajoutvehicule/&#x27;&gt;</pre></td>
</tr>

<tr>
<td>resolver</td>
<td class="code"><pre>&lt;URLResolver &#x27;ybcars.urls&#x27; (None:None) &#x27;^/&#x27;&gt;</pre></td>
</tr>

<tr>
<td>resolver_match</td>
<td class="code"><pre>ResolverMatch(func=ybloc.views.valideajoutvehicule, args=(), kwargs={}, url_name=validationvehicule, app_names=[], namespaces=[], route=valideajoutvehicule/)</pre></td>
</tr>

<tr>
<td>response</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>self</td>
<td class="code"><pre>&lt;django.core.handlers.wsgi.WSGIHandler object at 0x000002818AF87888&gt;</pre></td>
</tr>

<tr>
<td>wrapped_callback</td>
<td class="code"><pre>&lt;function valideajoutvehicule at 0x000002818CE2AEE8&gt;</pre></td>
</tr>

</tbody>
</table>

</li>


<li class="frame user">
<code>C:\Users\Jovice\PycharmProjects\ybcars\ybloc\views.py</code> in <code>valideajoutvehicule</code>


<div class="context" id="c2755444797128">

<ol start="587" class="pre-context" id="pre2755444797128">

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> doc.save()</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre></pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre>#test d&#x27;ajout d&#x27;une voiture en base via django form model</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre>#JOVICE AJOUT VEHICULE</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre>def valideajoutvehicule(request):</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> ajout = &#x27;0&#x27;</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> if request.method == &#x27;POST&#x27;:</pre></li>

</ol>

<ol start="594" class="context-line">
<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> form = VehiculeForm(request.POST, request.FILES)</pre> <span>…</span></li>
</ol>

<ol start='595' class="post-context" id="post2755444797128">

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> # files = request.FILES.getlist(&#x27;file&#x27;)</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> # print(form)</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> owner = Procuration()</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> formProc = OwnerForm(request.POST, request.FILES)</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> docForm = DocumentVehiculeForm(request.POST, request.FILES)</pre></li>

<li onclick="toggle('pre2755444797128', 'post2755444797128')"><pre> if request.POST[&#x27;owner&#x27;] == &quot;non&quot;:</pre></li>

</ol>

</div>



<div class="commands">

<a href="#" onclick="return varToggle(this, '2755444797128')"><span>&#x25b6;</span> Local vars</a>

</div>
<table class="vars" id="v2755444797128">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>ajout</td>
<td class="code"><pre>&#x27;0&#x27;</pre></td>
</tr>

<tr>
<td>request</td>
<td class="code"><pre>&lt;WSGIRequest: POST &#x27;/valideajoutvehicule/&#x27;&gt;</pre></td>
</tr>

</tbody>
</table>

</li>


<li class="frame user">
<code>C:\Users\Jovice\PycharmProjects\ybcars\ybloc\forms.py</code> in <code>__init__</code>


<div class="context" id="c2755444795144">

<ol start="70" class="pre-context" id="pre2755444795144">

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre></pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre></pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> #validation du type de voiture</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;type_vehicule&#x27;].queryset = TypeVoiture.objects.none()</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;type_vehicule&#x27;].empty_label = &quot;Choisissez un type de voiture&quot;</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;type_vehicule&#x27;].required = False</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> if &#x27;modele&#x27; in self.data:</pre></li>

</ol>

<ol start="77" class="context-line">
<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> modele_id = int(self.data.get(&#x27;modele&#x27;))</pre> <span>…</span></li>
</ol>

<ol start='78' class="post-context" id="post2755444795144">

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> </pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;annee_mise_en_circulation&#x27;] = forms.ChoiceField(choices=YEAR_CHOICES )</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;date_fin_location&#x27;].widget = DateInput()</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;date_fin_location&#x27;].widget.attrs.update({&#x27;class&#x27;: &#x27;form-control&#x27;})</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;date_debut_location&#x27;].widget = DateInput()</pre></li>

<li onclick="toggle('pre2755444795144', 'post2755444795144')"><pre> self.fields[&#x27;date_debut_location&#x27;].widget.attrs.update({&#x27;class&#x27;: &#x27;form-control&#x27;})</pre></li>

</ol>

</div>



<div class="commands">

<a href="#" onclick="return varToggle(this, '2755444795144')"><span>&#x25b6;</span> Local vars</a>

</div>
<table class="vars" id="v2755444795144">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>YEAR_CHOICES</td>
<td class="code"><pre>[(2005, 2005),
(2006, 2006),
(2007, 2007),
(2008, 2008),
(2009, 2009),
(2010, 2010),
(2011, 2011),
(2012, 2012),
(2013, 2013),
(2014, 2014),
(2015, 2015),
(2016, 2016),
(2017, 2017),
(2018, 2018),
(2019, 2019),
(2020, 2020)]</pre></td>
</tr>

<tr>
<td>__class__</td>
<td class="code"><pre>&lt;class &#x27;ybloc.forms.VehiculeForm&#x27;&gt;</pre></td>
</tr>

<tr>
<td>args</td>
<td class="code"><pre>({&#x27;Galerie de toit&#x27;: &#x27;&#x27;,
&#x27;Kit tout-terrain&#x27;: &#x27;&#x27;,
&#x27;Livraison de véhicule&#x27;: &#x27;&#x27;,
&#x27;Pilote supplémentaire&#x27;: &#x27;&#x27;,
&#x27;Pneus tout-terrain&#x27;: &#x27;&#x27;,
&#x27;Radio satellite&#x27;: &#x27;&#x27;,
&#x27;Remorque à bateau&#x27;: &#x27;&#x27;,
&#x27;Siège bébé&#x27;: &#x27;&#x27;,
&quot;Siège d&#x27;enfant&quot;: &#x27;&#x27;,
&#x27;Système de navigation&#x27;: &#x27;&#x27;,
&#x27;Treuil&#x27;: &#x27;&#x27;,
&#x27;alert&#x27;: &#x27;&#x27;,
&#x27;annee_mise_en_circulation&#x27;: &#x27;2018&#x27;,
&#x27;assure&#x27;: &#x27;undefined&#x27;,
&#x27;assureDEnd&#x27;: &#x27;&#x27;,
&#x27;assureDStart&#x27;: &#x27;&#x27;,
&#x27;carExt&#x27;: &#x27;undefined&#x27;,
&#x27;carGray&#x27;: &#x27;undefined&#x27;,
&#x27;carTech&#x27;: &#x27;undefined&#x27;,
&#x27;car_number_img&#x27;: &#x27;0&#x27;,
&#x27;carburant&#x27;: &#x27;Hybride&#x27;,
&#x27;chauffeur&#x27;: &#x27;Non&#x27;,
&#x27;civilite&#x27;: &#x27;&#x27;,
&#x27;couleur&#x27;: &#x27;4&#x27;,
&#x27;csrfmiddlewaretoken&#x27;: &#x27;nDPmJIPq3kkSDkgNC69lazVNcH1tA4mZKSepO5acENfj7bYZ3Y4flmMcPORioIpm&#x27;,
&#x27;date_debut_location&#x27;: &#x27;&#x27;,
&#x27;date_fin_location&#x27;: &#x27;&#x27;,
&#x27;date_naiss&#x27;: &#x27;&#x27;,
&#x27;description&#x27;: &#x27;test ajout avec nouveau &#x27;,
&#x27;email&#x27;: &#x27;&#x27;,
&#x27;extDEnd&#x27;: &#x27;&#x27;,
&#x27;extDStart&#x27;: &#x27;&#x27;,
&#x27;feature&#x27;: &#x27;undefined&#x27;,
&#x27;fichier&#x27;: &#x27;undefined&#x27;,
&#x27;fileUploaded&#x27;: &#x27;&#x27;,
&#x27;grayDAdd&#x27;: &#x27;&#x27;,
&#x27;grayNum&#x27;: &#x27;&#x27;,
&#x27;immatriculation&#x27;: &#x27;QQ-456-AZ&#x27;,
&#x27;kilometrage&#x27;: &#x27;333333333333333333333&#x27;,
&#x27;marque&#x27;: &#x27;164&#x27;,
&#x27;mode_paie&#x27;: &#x27;&#x27;,
&#x27;modele&#x27;: &#x27;1\xa0792&#x27;,
&#x27;nbr_place&#x27;: &#x27;3&#x27;,
&#x27;nbr_porte&#x27;: &#x27;4&#x27;,
&#x27;nom&#x27;: &#x27;&#x27;,
&#x27;onwer_quartier&#x27;: &#x27;&#x27;,
&#x27;onwer_ville&#x27;: &#x27;&#x27;,
&#x27;owner&#x27;: &#x27;oui&#x27;,
&#x27;prenom&#x27;: &#x27;&#x27;,
&#x27;prix&#x27;: &#x27;&#x27;,
&#x27;prixKm&#x27;: &#x27;&#x27;,
&#x27;quartier&#x27;: &#x27;2&#x27;,
&#x27;techDEnd&#x27;: &#x27;&#x27;,
&#x27;techDStart&#x27;: &#x27;&#x27;,
&#x27;tel&#x27;: &#x27;&#x27;,
&#x27;transmission&#x27;: &#x27;Automatique&#x27;,
&#x27;type_abonnement&#x27;: &#x27;&#x27;,
&#x27;type_vehicule&#x27;: &#x27;NULL&#x27;,
&#x27;undefined&#x27;: &#x27;&#x27;,
&#x27;ville&#x27;: &#x27;2&#x27;},
&lt;MultiValueDict: {}&gt;)</pre></td>
</tr>

<tr>
<td>kwargs</td>
<td class="code"><pre>{}</pre></td>
</tr>

<tr>
<td>marque_id</td>
<td class="code"><pre>164</pre></td>
</tr>

<tr>
<td>r</td>
<td class="code"><pre>2020</pre></td>
</tr>

<tr>
<td>self</td>
<td class="code"><pre>&lt;VehiculeForm bound=True, valid=Unknown, fields=(description;modele;marque;type_vehicule;type_abonnement;client;nbr_place;nbr_porte;couleur;prix;prixKm;kilometrage;immatriculation;annee_mise_en_circulation;carburant;transmission;proprietaire;chauffeur;mode_paie;status;feature;procuration;ville;quartier;usage;date_debut_location;date_fin_location;updated_at)&gt;</pre></td>
</tr>

<tr>
<td>ville_id</td>
<td class="code"><pre>2</pre></td>
</tr>

<tr>
<td>visible</td>
<td class="code"><pre>&lt;django.forms.boundfield.BoundField object at 0x000002818D4E2748&gt;</pre></td>
</tr>

</tbody>
</table>

</li>

</ul>
</div>
<form action="http://dpaste.com/" name="pasteform" id="pasteform" method="post">

<div id="pastebinTraceback" class="pastebin">
<input type="hidden" name="language" value="PythonConsole">
<input type="hidden" name="title"
value="ValueError at /valideajoutvehicule/">
<input type="hidden" name="source" value="Django Dpaste Agent">
<input type="hidden" name="poster" value="Django">
<textarea name="content" id="traceback_area" cols="140" rows="25">
Environment:


Request Method: POST
Request URL: http://127.0.0.1:8000/valideajoutvehicule/

Django Version: 3.0.2
Python Version: 3.7.8
Installed Applications:
[&#x27;django.contrib.admin&#x27;,
&#x27;django.contrib.auth&#x27;,
&#x27;django.contrib.contenttypes&#x27;,
&#x27;django.contrib.sessions&#x27;,
&#x27;django.contrib.messages&#x27;,
&#x27;django.contrib.staticfiles&#x27;,
&#x27;django.contrib.humanize&#x27;,
&#x27;ybloc&#x27;,
&#x27;import_export&#x27;]
Installed Middleware:
[&#x27;django.middleware.security.SecurityMiddleware&#x27;,
&#x27;django.contrib.sessions.middleware.SessionMiddleware&#x27;,
&#x27;django.middleware.common.CommonMiddleware&#x27;,
&#x27;django.middleware.csrf.CsrfViewMiddleware&#x27;,
&#x27;django.contrib.auth.middleware.AuthenticationMiddleware&#x27;,
&#x27;django.contrib.messages.middleware.MessageMiddleware&#x27;,
&#x27;django.middleware.clickjacking.XFrameOptionsMiddleware&#x27;]



Traceback (most recent call last):
File "C:\Users\Jovice\PycharmProjects\TestDjango\venv\lib\site-packages\django\core\handlers\exception.py", line 34, in inner
response = get_response(request)
File "C:\Users\Jovice\PycharmProjects\TestDjango\venv\lib\site-packages\django\core\handlers\base.py", line 115, in _get_response
response = self.process_exception_by_middleware(e, request)
File "C:\Users\Jovice\PycharmProjects\TestDjango\venv\lib\site-packages\django\core\handlers\base.py", line 113, in _get_response
response = wrapped_callback(request, *callback_args, **callback_kwargs)
File "C:\Users\Jovice\PycharmProjects\ybcars\ybloc\views.py", line 594, in valideajoutvehicule
form = VehiculeForm(request.POST, request.FILES)
File "C:\Users\Jovice\PycharmProjects\ybcars\ybloc\forms.py", line 77, in __init__
modele_id = int(self.data.get(&#x27;modele&#x27;))

Exception Type: ValueError at /valideajoutvehicule/
Exception Value: invalid literal for int() with base 10: &#x27;1\xa0792&#x27;
</textarea>
<br><br>
<input type="submit" value="Share this traceback on a public website">
</div>
</form>
</div>



<div id="requestinfo">
<h2>Request information</h2>



<h3 id="user-info">USER</h3>
<p>AnonymousUser</p>


<h3 id="get-info">GET</h3>

<p>No GET data</p>


<h3 id="post-info">POST</h3>

<table class="req">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>csrfmiddlewaretoken</td>
<td class="code"><pre>&#x27;nDPmJIPq3kkSDkgNC69lazVNcH1tA4mZKSepO5acENfj7bYZ3Y4flmMcPORioIpm&#x27;</pre></td>
</tr>

<tr>
<td>description</td>
<td class="code"><pre>&#x27;test ajout avec nouveau &#x27;</pre></td>
</tr>

<tr>
<td>ville</td>
<td class="code"><pre>&#x27;2&#x27;</pre></td>
</tr>

<tr>
<td>quartier</td>
<td class="code"><pre>&#x27;2&#x27;</pre></td>
</tr>

<tr>
<td>marque</td>
<td class="code"><pre>&#x27;164&#x27;</pre></td>
</tr>

<tr>
<td>modele</td>
<td class="code"><pre>&#x27;1\xa0792&#x27;</pre></td>
</tr>

<tr>
<td>type_vehicule</td>
<td class="code"><pre>&#x27;NULL&#x27;</pre></td>
</tr>

<tr>
<td>transmission</td>
<td class="code"><pre>&#x27;Automatique&#x27;</pre></td>
</tr>

<tr>
<td>carburant</td>
<td class="code"><pre>&#x27;Hybride&#x27;</pre></td>
</tr>

<tr>
<td>nbr_porte</td>
<td class="code"><pre>&#x27;4&#x27;</pre></td>
</tr>

<tr>
<td>kilometrage</td>
<td class="code"><pre>&#x27;333333333333333333333&#x27;</pre></td>
</tr>

<tr>
<td>immatriculation</td>
<td class="code"><pre>&#x27;QQ-456-AZ&#x27;</pre></td>
</tr>

<tr>
<td>nbr_place</td>
<td class="code"><pre>&#x27;3&#x27;</pre></td>
</tr>

<tr>
<td>couleur</td>
<td class="code"><pre>&#x27;4&#x27;</pre></td>
</tr>

<tr>
<td>annee_mise_en_circulation</td>
<td class="code"><pre>&#x27;2018&#x27;</pre></td>
</tr>

<tr>
<td>chauffeur</td>
<td class="code"><pre>&#x27;Non&#x27;</pre></td>
</tr>

<tr>
<td>owner</td>
<td class="code"><pre>&#x27;oui&#x27;</pre></td>
</tr>

<tr>
<td>civilite</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>nom</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>prenom</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>email</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>tel</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>date_naiss</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>onwer_ville</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>onwer_quartier</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>fichier</td>
<td class="code"><pre>&#x27;undefined&#x27;</pre></td>
</tr>

<tr>
<td>fileUploaded</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>undefined</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Système de navigation</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Kit tout-terrain</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Pneus tout-terrain</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Galerie de toit</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Radio satellite</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Treuil</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Siège d&#x27;enfant</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Remorque à bateau</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Pilote supplémentaire</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Siège bébé</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>Livraison de véhicule</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>feature</td>
<td class="code"><pre>&#x27;undefined&#x27;</pre></td>
</tr>

<tr>
<td>prix</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>prixKm</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>mode_paie</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>type_abonnement</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>assureDStart</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>assureDEnd</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>assure</td>
<td class="code"><pre>&#x27;undefined&#x27;</pre></td>
</tr>

<tr>
<td>grayDAdd</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>grayNum</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>carGray</td>
<td class="code"><pre>&#x27;undefined&#x27;</pre></td>
</tr>

<tr>
<td>techDStart</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>techDEnd</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>carTech</td>
<td class="code"><pre>&#x27;undefined&#x27;</pre></td>
</tr>

<tr>
<td>extDStart</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>extDEnd</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>carExt</td>
<td class="code"><pre>&#x27;undefined&#x27;</pre></td>
</tr>

<tr>
<td>date_debut_location</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>date_fin_location</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>alert</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>car_number_img</td>
<td class="code"><pre>&#x27;0&#x27;</pre></td>
</tr>

</tbody>
</table>

<h3 id="files-info">FILES</h3>

<p>No FILES data</p>



<h3 id="cookie-info">COOKIES</h3>

<table class="req">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>csrftoken</td>
<td class="code"><pre>&#x27;dg30PxkqfRyc0GJ4CwoCN3kk2z5lFCc3Avs3UUFcQktDuxrg3ojwYQbJFGVatgfq&#x27;</pre></td>
</tr>

<tr>
<td>sessionid</td>
<td class="code"><pre>&#x27;vxfrwrp850afdejmt3smd5l2qg08h08k&#x27;</pre></td>
</tr>

</tbody>
</table>


<h3 id="meta-info">META</h3>
<table class="req">
<thead>
<tr>
<th>Variable</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>ALLUSERSPROFILE</td>
<td class="code"><pre>&#x27;C:\\ProgramData&#x27;</pre></td>
</tr>

<tr>
<td>APPDATA</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\AppData\\Roaming&#x27;</pre></td>
</tr>

<tr>
<td>COMMONPROGRAMFILES</td>
<td class="code"><pre>&#x27;C:\\Program Files\\Common Files&#x27;</pre></td>
</tr>

<tr>
<td>COMMONPROGRAMFILES(X86)</td>
<td class="code"><pre>&#x27;C:\\Program Files (x86)\\Common Files&#x27;</pre></td>
</tr>

<tr>
<td>COMMONPROGRAMW6432</td>
<td class="code"><pre>&#x27;C:\\Program Files\\Common Files&#x27;</pre></td>
</tr>

<tr>
<td>COMPUTERNAME</td>
<td class="code"><pre>&#x27;DESKTOP-RKB23M1&#x27;</pre></td>
</tr>

<tr>
<td>COMSPEC</td>
<td class="code"><pre>&#x27;C:\\WINDOWS\\system32\\cmd.exe&#x27;</pre></td>
</tr>

<tr>
<td>CONTENT_LENGTH</td>
<td class="code"><pre>&#x27;7676&#x27;</pre></td>
</tr>

<tr>
<td>CONTENT_TYPE</td>
<td class="code"><pre>&#x27;multipart/form-data; boundary=----WebKitFormBoundaryGvqP9wrmB0UIC5mT&#x27;</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE</td>
<td class="code"><pre>&#x27;dg30PxkqfRyc0GJ4CwoCN3kk2z5lFCc3Avs3UUFcQktDuxrg3ojwYQbJFGVatgfq&#x27;</pre></td>
</tr>

<tr>
<td>DJANGO_SETTINGS_MODULE</td>
<td class="code"><pre>&#x27;ybcars.settings&#x27;</pre></td>
</tr>

<tr>
<td>DRIVERDATA</td>
<td class="code"><pre>&#x27;C:\\Windows\\System32\\Drivers\\DriverData&#x27;</pre></td>
</tr>

<tr>
<td>FPS_BROWSER_APP_PROFILE_STRING</td>
<td class="code"><pre>&#x27;Internet Explorer&#x27;</pre></td>
</tr>

<tr>
<td>FPS_BROWSER_USER_PROFILE_STRING</td>
<td class="code"><pre>&#x27;Default&#x27;</pre></td>
</tr>

<tr>
<td>GATEWAY_INTERFACE</td>
<td class="code"><pre>&#x27;CGI/1.1&#x27;</pre></td>
</tr>

<tr>
<td>HOMEDRIVE</td>
<td class="code"><pre>&#x27;C:&#x27;</pre></td>
</tr>

<tr>
<td>HOMEPATH</td>
<td class="code"><pre>&#x27;\\Users\\Jovice&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_ACCEPT</td>
<td class="code"><pre>&#x27;*/*&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_ACCEPT_ENCODING</td>
<td class="code"><pre>&#x27;gzip, deflate, br&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_ACCEPT_LANGUAGE</td>
<td class="code"><pre>&#x27;en-US,en;q=0.9&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_CONNECTION</td>
<td class="code"><pre>&#x27;keep-alive&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_COOKIE</td>
<td class="code"><pre>(&#x27;csrftoken=dg30PxkqfRyc0GJ4CwoCN3kk2z5lFCc3Avs3UUFcQktDuxrg3ojwYQbJFGVatgfq; &#x27;
&#x27;sessionid=vxfrwrp850afdejmt3smd5l2qg08h08k&#x27;)</pre></td>
</tr>

<tr>
<td>HTTP_HOST</td>
<td class="code"><pre>&#x27;127.0.0.1:8000&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_ORIGIN</td>
<td class="code"><pre>&#x27;http://127.0.0.1:8000&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_REFERER</td>
<td class="code"><pre>&#x27;http://127.0.0.1:8000/ajout-vehicule/&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_SEC_FETCH_DEST</td>
<td class="code"><pre>&#x27;empty&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_SEC_FETCH_MODE</td>
<td class="code"><pre>&#x27;cors&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_SEC_FETCH_SITE</td>
<td class="code"><pre>&#x27;same-origin&#x27;</pre></td>
</tr>

<tr>
<td>HTTP_USER_AGENT</td>
<td class="code"><pre>(&#x27;Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like &#x27;
&#x27;Gecko) Chrome/84.0.4147.105 Safari/537.36&#x27;)</pre></td>
</tr>

<tr>
<td>IDEA_INITIAL_DIRECTORY</td>
<td class="code"><pre>&#x27;C:\\Program Files\\JetBrains\\PyCharm 2020.1\\bin&#x27;</pre></td>
</tr>

<tr>
<td>LOCALAPPDATA</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\AppData\\Local&#x27;</pre></td>
</tr>

<tr>
<td>LOGONSERVER</td>
<td class="code"><pre>&#x27;\\\\DESKTOP-RKB23M1&#x27;</pre></td>
</tr>

<tr>
<td>NUMBER_OF_PROCESSORS</td>
<td class="code"><pre>&#x27;4&#x27;</pre></td>
</tr>

<tr>
<td>ONEDRIVE</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\OneDrive&#x27;</pre></td>
</tr>

<tr>
<td>ONEDRIVECONSUMER</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\OneDrive&#x27;</pre></td>
</tr>

<tr>
<td>OS</td>
<td class="code"><pre>&#x27;Windows_NT&#x27;</pre></td>
</tr>

<tr>
<td>PATH</td>
<td class="code"><pre>(&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv\\Scripts;C:\\oraclexe\\app\\oracle\\product\\11.2.0\\server\\bin;C:\\Program &#x27;
&#x27;Files (x86)\\Common &#x27;
&#x27;Files\\Oracle\\Java\\javapath;C:\\WINDOWS\\system32;C:\\WINDOWS;C:\\WINDOWS\\System32\\Wbem;C:\\WINDOWS\\System32\\WindowsPowerShell\\v1.0\\;C:\\WINDOWS\\System32\\OpenSSH\\;C:\\Program &#x27;
&#x27;Files\\Git\\cmd;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37\\Scripts\\;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37\\;C:\\Users\\Jovice\\AppData\\Local\\Microsoft\\WindowsApps;;C:\\Program &#x27;
&#x27;Files\\JetBrains\\PyCharm 2020.1\\bin;&#x27;)</pre></td>
</tr>

<tr>
<td>PATHEXT</td>
<td class="code"><pre>&#x27;.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH;.MSC&#x27;</pre></td>
</tr>

<tr>
<td>PATH_INFO</td>
<td class="code"><pre>&#x27;/valideajoutvehicule/&#x27;</pre></td>
</tr>

<tr>
<td>PROCESSOR_ARCHITECTURE</td>
<td class="code"><pre>&#x27;AMD64&#x27;</pre></td>
</tr>

<tr>
<td>PROCESSOR_IDENTIFIER</td>
<td class="code"><pre>&#x27;Intel64 Family 6 Model 61 Stepping 4, GenuineIntel&#x27;</pre></td>
</tr>

<tr>
<td>PROCESSOR_LEVEL</td>
<td class="code"><pre>&#x27;6&#x27;</pre></td>
</tr>

<tr>
<td>PROCESSOR_REVISION</td>
<td class="code"><pre>&#x27;3d04&#x27;</pre></td>
</tr>

<tr>
<td>PROGRAMDATA</td>
<td class="code"><pre>&#x27;C:\\ProgramData&#x27;</pre></td>
</tr>

<tr>
<td>PROGRAMFILES</td>
<td class="code"><pre>&#x27;C:\\Program Files&#x27;</pre></td>
</tr>

<tr>
<td>PROGRAMFILES(X86)</td>
<td class="code"><pre>&#x27;C:\\Program Files (x86)&#x27;</pre></td>
</tr>

<tr>
<td>PROGRAMW6432</td>
<td class="code"><pre>&#x27;C:\\Program Files&#x27;</pre></td>
</tr>

<tr>
<td>PROMPT</td>
<td class="code"><pre>&#x27;(venv) $P$G&#x27;</pre></td>
</tr>

<tr>
<td>PSMODULEPATH</td>
<td class="code"><pre>(&#x27;C:\\Program &#x27;
&#x27;Files\\WindowsPowerShell\\Modules;C:\\WINDOWS\\system32\\WindowsPowerShell\\v1.0\\Modules&#x27;)</pre></td>
</tr>

<tr>
<td>PUBLIC</td>
<td class="code"><pre>&#x27;C:\\Users\\Public&#x27;</pre></td>
</tr>

<tr>
<td>PYCHARM</td>
<td class="code"><pre>&#x27;C:\\Program Files\\JetBrains\\PyCharm 2020.1\\bin;&#x27;</pre></td>
</tr>

<tr>
<td>PYCHARM_DISPLAY_PORT</td>
<td class="code"><pre>&#x27;63342&#x27;</pre></td>
</tr>

<tr>
<td>PYCHARM_HOSTED</td>
<td class="code"><pre>&#x27;1&#x27;</pre></td>
</tr>

<tr>
<td>PYTHONIOENCODING</td>
<td class="code"><pre>&#x27;UTF-8&#x27;</pre></td>
</tr>

<tr>
<td>PYTHONPATH</td>
<td class="code"><pre>(&#x27;C:\\Users\\Jovice\\PycharmProjects\\ybcars;C:\\Program &#x27;
&#x27;Files\\JetBrains\\PyCharm &#x27;
&#x27;2020.1\\plugins\\python\\helpers\\pycharm_matplotlib_backend;C:\\Program &#x27;
&#x27;Files\\JetBrains\\PyCharm 2020.1\\plugins\\python\\helpers\\pycharm_display&#x27;)</pre></td>
</tr>

<tr>
<td>PYTHONUNBUFFERED</td>
<td class="code"><pre>&#x27;1&#x27;</pre></td>
</tr>

<tr>
<td>QUERY_STRING</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>REMOTE_ADDR</td>
<td class="code"><pre>&#x27;127.0.0.1&#x27;</pre></td>
</tr>

<tr>
<td>REMOTE_HOST</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>REQUEST_METHOD</td>
<td class="code"><pre>&#x27;POST&#x27;</pre></td>
</tr>

<tr>
<td>RUN_MAIN</td>
<td class="code"><pre>&#x27;true&#x27;</pre></td>
</tr>

<tr>
<td>SCRIPT_NAME</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>SERVER_NAME</td>
<td class="code"><pre>&#x27;DESKTOP-RKB23M1&#x27;</pre></td>
</tr>

<tr>
<td>SERVER_PORT</td>
<td class="code"><pre>&#x27;8000&#x27;</pre></td>
</tr>

<tr>
<td>SERVER_PROTOCOL</td>
<td class="code"><pre>&#x27;HTTP/1.1&#x27;</pre></td>
</tr>

<tr>
<td>SERVER_SOFTWARE</td>
<td class="code"><pre>&#x27;WSGIServer/0.2&#x27;</pre></td>
</tr>

<tr>
<td>SESSIONNAME</td>
<td class="code"><pre>&#x27;Console&#x27;</pre></td>
</tr>

<tr>
<td>SYSTEMDRIVE</td>
<td class="code"><pre>&#x27;C:&#x27;</pre></td>
</tr>

<tr>
<td>SYSTEMROOT</td>
<td class="code"><pre>&#x27;C:\\WINDOWS&#x27;</pre></td>
</tr>

<tr>
<td>TEMP</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\AppData\\Local\\Temp&#x27;</pre></td>
</tr>

<tr>
<td>TMP</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\AppData\\Local\\Temp&#x27;</pre></td>
</tr>

<tr>
<td>USERDOMAIN</td>
<td class="code"><pre>&#x27;DESKTOP-RKB23M1&#x27;</pre></td>
</tr>

<tr>
<td>USERDOMAIN_ROAMINGPROFILE</td>
<td class="code"><pre>&#x27;DESKTOP-RKB23M1&#x27;</pre></td>
</tr>

<tr>
<td>USERNAME</td>
<td class="code"><pre>&#x27;Jovice&#x27;</pre></td>
</tr>

<tr>
<td>USERPROFILE</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice&#x27;</pre></td>
</tr>

<tr>
<td>VBOX_INSTALL_PATH</td>
<td class="code"><pre>&#x27;C:\\Program Files\\Oracle\\VirtualBox\\&#x27;</pre></td>
</tr>

<tr>
<td>VIRTUAL_ENV</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\PycharmProjects\\TestDjango\\venv&#x27;</pre></td>
</tr>

<tr>
<td>WINDIR</td>
<td class="code"><pre>&#x27;C:\\WINDOWS&#x27;</pre></td>
</tr>

<tr>
<td>_OLD_VIRTUAL_PATH</td>
<td class="code"><pre>(&#x27;C:\\oraclexe\\app\\oracle\\product\\11.2.0\\server\\bin;C:\\Program Files &#x27;
&#x27;(x86)\\Common &#x27;
&#x27;Files\\Oracle\\Java\\javapath;C:\\WINDOWS\\system32;C:\\WINDOWS;C:\\WINDOWS\\System32\\Wbem;C:\\WINDOWS\\System32\\WindowsPowerShell\\v1.0\\;C:\\WINDOWS\\System32\\OpenSSH\\;C:\\Program &#x27;
&#x27;Files\\Git\\cmd;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37\\Scripts\\;C:\\Users\\Jovice\\AppData\\Local\\Programs\\Python\\Python37\\;C:\\Users\\Jovice\\AppData\\Local\\Microsoft\\WindowsApps;;C:\\Program &#x27;
&#x27;Files\\JetBrains\\PyCharm 2020.1\\bin;&#x27;)</pre></td>
</tr>

<tr>
<td>_OLD_VIRTUAL_PROMPT</td>
<td class="code"><pre>&#x27;$P$G&#x27;</pre></td>
</tr>

<tr>
<td>wsgi.errors</td>
<td class="code"><pre>&lt;_io.TextIOWrapper name=&#x27;&lt;stderr&gt;&#x27; mode=&#x27;w&#x27; encoding=&#x27;UTF-8&#x27;&gt;</pre></td>
</tr>

<tr>
<td>wsgi.file_wrapper</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>wsgi.input</td>
<td class="code"><pre>&lt;django.core.handlers.wsgi.LimitedStream object at 0x000002818D4ED908&gt;</pre></td>
</tr>

<tr>
<td>wsgi.multiprocess</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>wsgi.multithread</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>wsgi.run_once</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>wsgi.url_scheme</td>
<td class="code"><pre>&#x27;http&#x27;</pre></td>
</tr>

<tr>
<td>wsgi.version</td>
<td class="code"><pre>(1, 0)</pre></td>
</tr>

</tbody>
</table>


<h3 id="settings-info">Settings</h3>
<h4>Using settings module <code>ybcars.settings</code></h4>
<table class="req">
<thead>
<tr>
<th>Setting</th>
<th>Value</th>
</tr>
</thead>
<tbody>

<tr>
<td>ABSOLUTE_URL_OVERRIDES</td>
<td class="code"><pre>{}</pre></td>
</tr>

<tr>
<td>ADMINS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>ALLOWED_HOSTS</td>
<td class="code"><pre>[&#x27;127.0.0.1&#x27;]</pre></td>
</tr>

<tr>
<td>APPEND_SLASH</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>AUTHENTICATION_BACKENDS</td>
<td class="code"><pre>[&#x27;django.contrib.auth.backends.ModelBackend&#x27;]</pre></td>
</tr>

<tr>
<td>AUTH_PASSWORD_VALIDATORS</td>
<td class="code"><pre>&#x27;********************&#x27;</pre></td>
</tr>

<tr>
<td>AUTH_USER_MODEL</td>
<td class="code"><pre>&#x27;auth.User&#x27;</pre></td>
</tr>

<tr>
<td>BASE_DIR</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\PycharmProjects\\ybcars&#x27;</pre></td>
</tr>

<tr>
<td>CACHES</td>
<td class="code"><pre>{&#x27;default&#x27;: {&#x27;BACKEND&#x27;: &#x27;django.core.cache.backends.locmem.LocMemCache&#x27;}}</pre></td>
</tr>

<tr>
<td>CACHE_MIDDLEWARE_ALIAS</td>
<td class="code"><pre>&#x27;default&#x27;</pre></td>
</tr>

<tr>
<td>CACHE_MIDDLEWARE_KEY_PREFIX</td>
<td class="code"><pre>&#x27;********************&#x27;</pre></td>
</tr>

<tr>
<td>CACHE_MIDDLEWARE_SECONDS</td>
<td class="code"><pre>600</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE_AGE</td>
<td class="code"><pre>31449600</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE_DOMAIN</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE_HTTPONLY</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE_NAME</td>
<td class="code"><pre>&#x27;csrftoken&#x27;</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE_PATH</td>
<td class="code"><pre>&#x27;/&#x27;</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE_SAMESITE</td>
<td class="code"><pre>&#x27;Lax&#x27;</pre></td>
</tr>

<tr>
<td>CSRF_COOKIE_SECURE</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>CSRF_FAILURE_VIEW</td>
<td class="code"><pre>&#x27;django.views.csrf.csrf_failure&#x27;</pre></td>
</tr>

<tr>
<td>CSRF_HEADER_NAME</td>
<td class="code"><pre>&#x27;HTTP_X_CSRFTOKEN&#x27;</pre></td>
</tr>

<tr>
<td>CSRF_TRUSTED_ORIGINS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>CSRF_USE_SESSIONS</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>DATABASES</td>
<td class="code"><pre>{&#x27;default&#x27;: {&#x27;ATOMIC_REQUESTS&#x27;: False,
&#x27;AUTOCOMMIT&#x27;: True,
&#x27;CONN_MAX_AGE&#x27;: 0,
&#x27;ENGINE&#x27;: &#x27;django.db.backends.mysql&#x27;,
&#x27;HOST&#x27;: &#x27;localhost&#x27;,
&#x27;NAME&#x27;: &#x27;ybcars&#x27;,
&#x27;OPTIONS&#x27;: {},
&#x27;PASSWORD&#x27;: &#x27;********************&#x27;,
&#x27;PORT&#x27;: &#x27;3306&#x27;,
&#x27;TEST&#x27;: {&#x27;CHARSET&#x27;: None,
&#x27;COLLATION&#x27;: None,
&#x27;MIRROR&#x27;: None,
&#x27;NAME&#x27;: None},
&#x27;TIME_ZONE&#x27;: None,
&#x27;USER&#x27;: &#x27;root&#x27;}}</pre></td>
</tr>

<tr>
<td>DATABASE_ROUTERS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>DATA_UPLOAD_MAX_MEMORY_SIZE</td>
<td class="code"><pre>2621440</pre></td>
</tr>

<tr>
<td>DATA_UPLOAD_MAX_NUMBER_FIELDS</td>
<td class="code"><pre>1000</pre></td>
</tr>

<tr>
<td>DATETIME_FORMAT</td>
<td class="code"><pre>&#x27;N j, Y, P&#x27;</pre></td>
</tr>

<tr>
<td>DATETIME_INPUT_FORMATS</td>
<td class="code"><pre>[&#x27;%Y-%m-%d %H:%M:%S&#x27;,
&#x27;%Y-%m-%d %H:%M:%S.%f&#x27;,
&#x27;%Y-%m-%d %H:%M&#x27;,
&#x27;%Y-%m-%d&#x27;,
&#x27;%m/%d/%Y %H:%M:%S&#x27;,
&#x27;%m/%d/%Y %H:%M:%S.%f&#x27;,
&#x27;%m/%d/%Y %H:%M&#x27;,
&#x27;%m/%d/%Y&#x27;,
&#x27;%m/%d/%y %H:%M:%S&#x27;,
&#x27;%m/%d/%y %H:%M:%S.%f&#x27;,
&#x27;%m/%d/%y %H:%M&#x27;,
&#x27;%m/%d/%y&#x27;]</pre></td>
</tr>

<tr>
<td>DATE_FORMAT</td>
<td class="code"><pre>&#x27;N j, Y&#x27;</pre></td>
</tr>

<tr>
<td>DATE_INPUT_FORMATS</td>
<td class="code"><pre>(&#x27;%d-%m-%Y&#x27;, &#x27;%d/%m/%Y&#x27;)</pre></td>
</tr>

<tr>
<td>DEBUG</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>DEBUG_PROPAGATE_EXCEPTIONS</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>DECIMAL_SEPARATOR</td>
<td class="code"><pre>&#x27;.&#x27;</pre></td>
</tr>

<tr>
<td>DEFAULT_CHARSET</td>
<td class="code"><pre>&#x27;utf-8&#x27;</pre></td>
</tr>

<tr>
<td>DEFAULT_EXCEPTION_REPORTER_FILTER</td>
<td class="code"><pre>&#x27;django.views.debug.SafeExceptionReporterFilter&#x27;</pre></td>
</tr>

<tr>
<td>DEFAULT_FILE_STORAGE</td>
<td class="code"><pre>&#x27;django.core.files.storage.FileSystemStorage&#x27;</pre></td>
</tr>

<tr>
<td>DEFAULT_FROM_EMAIL</td>
<td class="code"><pre>&#x27;webmaster@localhost&#x27;</pre></td>
</tr>

<tr>
<td>DEFAULT_INDEX_TABLESPACE</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>DEFAULT_TABLESPACE</td>
<td class="code"><pre>&#x27;&#x27;</pre></td>
</tr>

<tr>
<td>DISALLOWED_USER_AGENTS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>EMAIL_BACKEND</td>
<td class="code"><pre>&#x27;django.core.mail.backends.smtp.EmailBackend&#x27;</pre></td>
</tr>

<tr>
<td>EMAIL_HOST</td>
<td class="code"><pre>&#x27;smtp.gmail.com&#x27;</pre></td>
</tr>

<tr>
<td>EMAIL_HOST_PASSWORD</td>
<td class="code"><pre>&#x27;********************&#x27;</pre></td>
</tr>

<tr>
<td>EMAIL_HOST_USER</td>
<td class="code"><pre>&#x27;ybcars.apps@gmail.com&#x27;</pre></td>
</tr>

<tr>
<td>EMAIL_PORT</td>
<td class="code"><pre>587</pre></td>
</tr>

<tr>
<td>EMAIL_SSL_CERTFILE</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>EMAIL_SSL_KEYFILE</td>
<td class="code"><pre>&#x27;********************&#x27;</pre></td>
</tr>

<tr>
<td>EMAIL_SUBJECT_PREFIX</td>
<td class="code"><pre>&#x27;[Django] &#x27;</pre></td>
</tr>

<tr>
<td>EMAIL_TIMEOUT</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>EMAIL_USE_LOCALTIME</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>EMAIL_USE_SSL</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>EMAIL_USE_TLS</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>FILE_CHARSET</td>
<td class="code"><pre>&#x27;utf-8&#x27;</pre></td>
</tr>

<tr>
<td>FILE_UPLOAD_DIRECTORY_PERMISSIONS</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>FILE_UPLOAD_HANDLERS</td>
<td class="code"><pre>[&#x27;django.core.files.uploadhandler.MemoryFileUploadHandler&#x27;,
&#x27;django.core.files.uploadhandler.TemporaryFileUploadHandler&#x27;]</pre></td>
</tr>

<tr>
<td>FILE_UPLOAD_MAX_MEMORY_SIZE</td>
<td class="code"><pre>2621440</pre></td>
</tr>

<tr>
<td>FILE_UPLOAD_PERMISSIONS</td>
<td class="code"><pre>420</pre></td>
</tr>

<tr>
<td>FILE_UPLOAD_TEMP_DIR</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>FIRST_DAY_OF_WEEK</td>
<td class="code"><pre>0</pre></td>
</tr>

<tr>
<td>FIXTURE_DIRS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>FORCE_SCRIPT_NAME</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>FORMAT_MODULE_PATH</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>FORM_RENDERER</td>
<td class="code"><pre>&#x27;django.forms.renderers.DjangoTemplates&#x27;</pre></td>
</tr>

<tr>
<td>IGNORABLE_404_URLS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>IMPORT_EXPORT_USE_TRANSACTIONS</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>INSTALLED_APPS</td>
<td class="code"><pre>[&#x27;django.contrib.admin&#x27;,
&#x27;django.contrib.auth&#x27;,
&#x27;django.contrib.contenttypes&#x27;,
&#x27;django.contrib.sessions&#x27;,
&#x27;django.contrib.messages&#x27;,
&#x27;django.contrib.staticfiles&#x27;,
&#x27;django.contrib.humanize&#x27;,
&#x27;ybloc&#x27;,
&#x27;import_export&#x27;]</pre></td>
</tr>

<tr>
<td>INTERNAL_IPS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>LANGUAGES</td>
<td class="code"><pre>[(&#x27;af&#x27;, &#x27;Afrikaans&#x27;),
(&#x27;ar&#x27;, &#x27;Arabic&#x27;),
(&#x27;ast&#x27;, &#x27;Asturian&#x27;),
(&#x27;az&#x27;, &#x27;Azerbaijani&#x27;),
(&#x27;bg&#x27;, &#x27;Bulgarian&#x27;),
(&#x27;be&#x27;, &#x27;Belarusian&#x27;),
(&#x27;bn&#x27;, &#x27;Bengali&#x27;),
(&#x27;br&#x27;, &#x27;Breton&#x27;),
(&#x27;bs&#x27;, &#x27;Bosnian&#x27;),
(&#x27;ca&#x27;, &#x27;Catalan&#x27;),
(&#x27;cs&#x27;, &#x27;Czech&#x27;),
(&#x27;cy&#x27;, &#x27;Welsh&#x27;),
(&#x27;da&#x27;, &#x27;Danish&#x27;),
(&#x27;de&#x27;, &#x27;German&#x27;),
(&#x27;dsb&#x27;, &#x27;Lower Sorbian&#x27;),
(&#x27;el&#x27;, &#x27;Greek&#x27;),
(&#x27;en&#x27;, &#x27;English&#x27;),
(&#x27;en-au&#x27;, &#x27;Australian English&#x27;),
(&#x27;en-gb&#x27;, &#x27;British English&#x27;),
(&#x27;eo&#x27;, &#x27;Esperanto&#x27;),
(&#x27;es&#x27;, &#x27;Spanish&#x27;),
(&#x27;es-ar&#x27;, &#x27;Argentinian Spanish&#x27;),
(&#x27;es-co&#x27;, &#x27;Colombian Spanish&#x27;),
(&#x27;es-mx&#x27;, &#x27;Mexican Spanish&#x27;),
(&#x27;es-ni&#x27;, &#x27;Nicaraguan Spanish&#x27;),
(&#x27;es-ve&#x27;, &#x27;Venezuelan Spanish&#x27;),
(&#x27;et&#x27;, &#x27;Estonian&#x27;),
(&#x27;eu&#x27;, &#x27;Basque&#x27;),
(&#x27;fa&#x27;, &#x27;Persian&#x27;),
(&#x27;fi&#x27;, &#x27;Finnish&#x27;),
(&#x27;fr&#x27;, &#x27;French&#x27;),
(&#x27;fy&#x27;, &#x27;Frisian&#x27;),
(&#x27;ga&#x27;, &#x27;Irish&#x27;),
(&#x27;gd&#x27;, &#x27;Scottish Gaelic&#x27;),
(&#x27;gl&#x27;, &#x27;Galician&#x27;),
(&#x27;he&#x27;, &#x27;Hebrew&#x27;),
(&#x27;hi&#x27;, &#x27;Hindi&#x27;),
(&#x27;hr&#x27;, &#x27;Croatian&#x27;),
(&#x27;hsb&#x27;, &#x27;Upper Sorbian&#x27;),
(&#x27;hu&#x27;, &#x27;Hungarian&#x27;),
(&#x27;hy&#x27;, &#x27;Armenian&#x27;),
(&#x27;ia&#x27;, &#x27;Interlingua&#x27;),
(&#x27;id&#x27;, &#x27;Indonesian&#x27;),
(&#x27;io&#x27;, &#x27;Ido&#x27;),
(&#x27;is&#x27;, &#x27;Icelandic&#x27;),
(&#x27;it&#x27;, &#x27;Italian&#x27;),
(&#x27;ja&#x27;, &#x27;Japanese&#x27;),
(&#x27;ka&#x27;, &#x27;Georgian&#x27;),
(&#x27;kab&#x27;, &#x27;Kabyle&#x27;),
(&#x27;kk&#x27;, &#x27;Kazakh&#x27;),
(&#x27;km&#x27;, &#x27;Khmer&#x27;),
(&#x27;kn&#x27;, &#x27;Kannada&#x27;),
(&#x27;ko&#x27;, &#x27;Korean&#x27;),
(&#x27;lb&#x27;, &#x27;Luxembourgish&#x27;),
(&#x27;lt&#x27;, &#x27;Lithuanian&#x27;),
(&#x27;lv&#x27;, &#x27;Latvian&#x27;),
(&#x27;mk&#x27;, &#x27;Macedonian&#x27;),
(&#x27;ml&#x27;, &#x27;Malayalam&#x27;),
(&#x27;mn&#x27;, &#x27;Mongolian&#x27;),
(&#x27;mr&#x27;, &#x27;Marathi&#x27;),
(&#x27;my&#x27;, &#x27;Burmese&#x27;),
(&#x27;nb&#x27;, &#x27;Norwegian Bokmål&#x27;),
(&#x27;ne&#x27;, &#x27;Nepali&#x27;),
(&#x27;nl&#x27;, &#x27;Dutch&#x27;),
(&#x27;nn&#x27;, &#x27;Norwegian Nynorsk&#x27;),
(&#x27;os&#x27;, &#x27;Ossetic&#x27;),
(&#x27;pa&#x27;, &#x27;Punjabi&#x27;),
(&#x27;pl&#x27;, &#x27;Polish&#x27;),
(&#x27;pt&#x27;, &#x27;Portuguese&#x27;),
(&#x27;pt-br&#x27;, &#x27;Brazilian Portuguese&#x27;),
(&#x27;ro&#x27;, &#x27;Romanian&#x27;),
(&#x27;ru&#x27;, &#x27;Russian&#x27;),
(&#x27;sk&#x27;, &#x27;Slovak&#x27;),
(&#x27;sl&#x27;, &#x27;Slovenian&#x27;),
(&#x27;sq&#x27;, &#x27;Albanian&#x27;),
(&#x27;sr&#x27;, &#x27;Serbian&#x27;),
(&#x27;sr-latn&#x27;, &#x27;Serbian Latin&#x27;),
(&#x27;sv&#x27;, &#x27;Swedish&#x27;),
(&#x27;sw&#x27;, &#x27;Swahili&#x27;),
(&#x27;ta&#x27;, &#x27;Tamil&#x27;),
(&#x27;te&#x27;, &#x27;Telugu&#x27;),
(&#x27;th&#x27;, &#x27;Thai&#x27;),
(&#x27;tr&#x27;, &#x27;Turkish&#x27;),
(&#x27;tt&#x27;, &#x27;Tatar&#x27;),
(&#x27;udm&#x27;, &#x27;Udmurt&#x27;),
(&#x27;uk&#x27;, &#x27;Ukrainian&#x27;),
(&#x27;ur&#x27;, &#x27;Urdu&#x27;),
(&#x27;uz&#x27;, &#x27;Uzbek&#x27;),
(&#x27;vi&#x27;, &#x27;Vietnamese&#x27;),
(&#x27;zh-hans&#x27;, &#x27;Simplified Chinese&#x27;),
(&#x27;zh-hant&#x27;, &#x27;Traditional Chinese&#x27;)]</pre></td>
</tr>

<tr>
<td>LANGUAGES_BIDI</td>
<td class="code"><pre>[&#x27;he&#x27;, &#x27;ar&#x27;, &#x27;fa&#x27;, &#x27;ur&#x27;]</pre></td>
</tr>

<tr>
<td>LANGUAGE_CODE</td>
<td class="code"><pre>&#x27;fr&#x27;</pre></td>
</tr>

<tr>
<td>LANGUAGE_COOKIE_AGE</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>LANGUAGE_COOKIE_DOMAIN</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>LANGUAGE_COOKIE_HTTPONLY</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>LANGUAGE_COOKIE_NAME</td>
<td class="code"><pre>&#x27;django_language&#x27;</pre></td>
</tr>

<tr>
<td>LANGUAGE_COOKIE_PATH</td>
<td class="code"><pre>&#x27;/&#x27;</pre></td>
</tr>

<tr>
<td>LANGUAGE_COOKIE_SAMESITE</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>LANGUAGE_COOKIE_SECURE</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>LOCALE_PATHS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>LOGGING</td>
<td class="code"><pre>{}</pre></td>
</tr>

<tr>
<td>LOGGING_CONFIG</td>
<td class="code"><pre>&#x27;logging.config.dictConfig&#x27;</pre></td>
</tr>

<tr>
<td>LOGIN_REDIRECT_URL</td>
<td class="code"><pre>&#x27;/accounts/profile/&#x27;</pre></td>
</tr>

<tr>
<td>LOGIN_URL</td>
<td class="code"><pre>&#x27;/accounts/login/&#x27;</pre></td>
</tr>

<tr>
<td>LOGOUT_REDIRECT_URL</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>MANAGERS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>MEDIA_ROOT</td>
<td class="code"><pre>&#x27;C:\\Users\\Jovice\\PycharmProjects\\ybcars\\media&#x27;</pre></td>
</tr>

<tr>
<td>MEDIA_URL</td>
<td class="code"><pre>&#x27;/media/&#x27;</pre></td>
</tr>

<tr>
<td>MESSAGE_STORAGE</td>
<td class="code"><pre>&#x27;django.contrib.messages.storage.fallback.FallbackStorage&#x27;</pre></td>
</tr>

<tr>
<td>MIDDLEWARE</td>
<td class="code"><pre>[&#x27;django.middleware.security.SecurityMiddleware&#x27;,
&#x27;django.contrib.sessions.middleware.SessionMiddleware&#x27;,
&#x27;django.middleware.common.CommonMiddleware&#x27;,
&#x27;django.middleware.csrf.CsrfViewMiddleware&#x27;,
&#x27;django.contrib.auth.middleware.AuthenticationMiddleware&#x27;,
&#x27;django.contrib.messages.middleware.MessageMiddleware&#x27;,
&#x27;django.middleware.clickjacking.XFrameOptionsMiddleware&#x27;]</pre></td>
</tr>

<tr>
<td>MIGRATION_MODULES</td>
<td class="code"><pre>{}</pre></td>
</tr>

<tr>
<td>MONTH_DAY_FORMAT</td>
<td class="code"><pre>&#x27;F j&#x27;</pre></td>
</tr>

<tr>
<td>NUMBER_GROUPING</td>
<td class="code"><pre>0</pre></td>
</tr>

<tr>
<td>PASSWORD_HASHERS</td>
<td class="code"><pre>&#x27;********************&#x27;</pre></td>
</tr>

<tr>
<td>PASSWORD_RESET_TIMEOUT_DAYS</td>
<td class="code"><pre>&#x27;********************&#x27;</pre></td>
</tr>

<tr>
<td>PREPEND_WWW</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>ROOT_URLCONF</td>
<td class="code"><pre>&#x27;ybcars.urls&#x27;</pre></td>
</tr>

<tr>
<td>SECRET_KEY</td>
<td class="code"><pre>&#x27;********************&#x27;</pre></td>
</tr>

<tr>
<td>SECURE_BROWSER_XSS_FILTER</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>SECURE_CONTENT_TYPE_NOSNIFF</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>SECURE_HSTS_INCLUDE_SUBDOMAINS</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>SECURE_HSTS_PRELOAD</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>SECURE_HSTS_SECONDS</td>
<td class="code"><pre>0</pre></td>
</tr>

<tr>
<td>SECURE_PROXY_SSL_HEADER</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>SECURE_REDIRECT_EXEMPT</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>SECURE_REFERRER_POLICY</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>SECURE_SSL_HOST</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>SECURE_SSL_REDIRECT</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>SERVER_EMAIL</td>
<td class="code"><pre>&#x27;root@localhost&#x27;</pre></td>
</tr>

<tr>
<td>SESSION_CACHE_ALIAS</td>
<td class="code"><pre>&#x27;default&#x27;</pre></td>
</tr>

<tr>
<td>SESSION_COOKIE_AGE</td>
<td class="code"><pre>1209600</pre></td>
</tr>

<tr>
<td>SESSION_COOKIE_DOMAIN</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>SESSION_COOKIE_HTTPONLY</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>SESSION_COOKIE_NAME</td>
<td class="code"><pre>&#x27;sessionid&#x27;</pre></td>
</tr>

<tr>
<td>SESSION_COOKIE_PATH</td>
<td class="code"><pre>&#x27;/&#x27;</pre></td>
</tr>

<tr>
<td>SESSION_COOKIE_SAMESITE</td>
<td class="code"><pre>&#x27;Lax&#x27;</pre></td>
</tr>

<tr>
<td>SESSION_COOKIE_SECURE</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>SESSION_ENGINE</td>
<td class="code"><pre>&#x27;django.contrib.sessions.backends.db&#x27;</pre></td>
</tr>

<tr>
<td>SESSION_EXPIRE_AT_BROWSER_CLOSE</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>SESSION_FILE_PATH</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>SESSION_SAVE_EVERY_REQUEST</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>SESSION_SERIALIZER</td>
<td class="code"><pre>&#x27;django.contrib.sessions.serializers.JSONSerializer&#x27;</pre></td>
</tr>

<tr>
<td>SETTINGS_MODULE</td>
<td class="code"><pre>&#x27;ybcars.settings&#x27;</pre></td>
</tr>

<tr>
<td>SHORT_DATETIME_FORMAT</td>
<td class="code"><pre>&#x27;m/d/Y P&#x27;</pre></td>
</tr>

<tr>
<td>SHORT_DATE_FORMAT</td>
<td class="code"><pre>&#x27;m/d/Y&#x27;</pre></td>
</tr>

<tr>
<td>SIGNING_BACKEND</td>
<td class="code"><pre>&#x27;django.core.signing.TimestampSigner&#x27;</pre></td>
</tr>

<tr>
<td>SILENCED_SYSTEM_CHECKS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>STATICFILES_DIRS</td>
<td class="code"><pre>(&#x27;C:\\Users\\Jovice\\PycharmProjects\\ybcars\\static&#x27;,)</pre></td>
</tr>

<tr>
<td>STATICFILES_FINDERS</td>
<td class="code"><pre>[&#x27;django.contrib.staticfiles.finders.FileSystemFinder&#x27;,
&#x27;django.contrib.staticfiles.finders.AppDirectoriesFinder&#x27;]</pre></td>
</tr>

<tr>
<td>STATICFILES_STORAGE</td>
<td class="code"><pre>&#x27;django.contrib.staticfiles.storage.StaticFilesStorage&#x27;</pre></td>
</tr>

<tr>
<td>STATIC_ROOT</td>
<td class="code"><pre>None</pre></td>
</tr>

<tr>
<td>STATIC_URL</td>
<td class="code"><pre>&#x27;/static/&#x27;</pre></td>
</tr>

<tr>
<td>TEMPLATES</td>
<td class="code"><pre>[{&#x27;APP_DIRS&#x27;: True,
&#x27;BACKEND&#x27;: &#x27;django.template.backends.django.DjangoTemplates&#x27;,
&#x27;DIRS&#x27;: [&#x27;C:\\Users\\Jovice\\PycharmProjects\\ybcars\\templates&#x27;],
&#x27;OPTIONS&#x27;: {&#x27;context_processors&#x27;: [&#x27;django.template.context_processors.debug&#x27;,
&#x27;django.template.context_processors.request&#x27;,
&#x27;django.contrib.auth.context_processors.auth&#x27;,
&#x27;django.contrib.messages.context_processors.messages&#x27;,
&#x27;social_django.context_processors.backends&#x27;,
&#x27;social_django.context_processors.login_redirect&#x27;]}}]</pre></td>
</tr>

<tr>
<td>TEST_NON_SERIALIZED_APPS</td>
<td class="code"><pre>[]</pre></td>
</tr>

<tr>
<td>TEST_RUNNER</td>
<td class="code"><pre>&#x27;django.test.runner.DiscoverRunner&#x27;</pre></td>
</tr>

<tr>
<td>THOUSAND_SEPARATOR</td>
<td class="code"><pre>&#x27;,&#x27;</pre></td>
</tr>

<tr>
<td>TIME_FORMAT</td>
<td class="code"><pre>&#x27;P&#x27;</pre></td>
</tr>

<tr>
<td>TIME_INPUT_FORMATS</td>
<td class="code"><pre>[&#x27;%H:%M:%S&#x27;, &#x27;%H:%M:%S.%f&#x27;, &#x27;%H:%M&#x27;]</pre></td>
</tr>

<tr>
<td>TIME_ZONE</td>
<td class="code"><pre>&#x27;UTC&#x27;</pre></td>
</tr>

<tr>
<td>USE_I18N</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>USE_L10N</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>USE_THOUSAND_SEPARATOR</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>USE_TZ</td>
<td class="code"><pre>True</pre></td>
</tr>

<tr>
<td>USE_X_FORWARDED_HOST</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>USE_X_FORWARDED_PORT</td>
<td class="code"><pre>False</pre></td>
</tr>

<tr>
<td>WSGI_APPLICATION</td>
<td class="code"><pre>&#x27;ybcars.wsgi.application&#x27;</pre></td>
</tr>

<tr>
<td>X_FRAME_OPTIONS</td>
<td class="code"><pre>&#x27;DENY&#x27;</pre></td>
</tr>

<tr>
<td>YEAR_MONTH_FORMAT</td>
<td class="code"><pre>&#x27;F Y&#x27;</pre></td>
</tr>

</tbody>
</table>

</div>

<div id="explanation">
<p>
You're seeing this error because you have <code>DEBUG = True</code> in your
Django settings file. Change that to <code>False</code>, and Django will
display a standard page generated by the handler for this status code.
</p>
</div>

</body>
</html>
